--todo 20751.60

begin
execute immediate('ALTER TABLE CUSTOMERINTERFACE DROP CONSTRAINT INSERTSTATUS_VALID');
exception when others then null;
end;
/

ALTER TABLE CUSTOMERINTERFACE
	ADD CONSTRAINT InsertStatus_valid_1  CHECK (INSERTSTATUS IN (0, 1, 2));

COMMENT ON COLUMN CUSTOMERINTERFACE.INSERTSTATUS IS '0 = Generated on order take by Total WebApp
1 = Customer was created in ABSSolute
2 = In progress';